Browse files

Fixed #2772 -- Made SQLite support work correctly with Python 2.5 sta…

…ndard

module (as well as pysqlite2 for earlier Python versions). Patch from
ymasuda[at]ethercube.com.


git-svn-id: http://code.djangoproject.com/svn/django/trunk@3818 bcc190cf-cafb-0310-a4f2-bffc1f526a37
  • Loading branch information...
1 parent e266475 commit b4e5a96ccc6aeb0cc4761865d3ea3221d3665e72 @malcolmt malcolmt committed Sep 25, 2006
Showing with 10 additions and 2 deletions.
  1. +10 −2 django/db/backends/sqlite3/base.py
View
12 django/db/backends/sqlite3/base.py
@@ -4,10 +4,18 @@
from django.db.backends import util
try:
- from pysqlite2 import dbapi2 as Database
+ try:
+ from sqlite3 import dbapi2 as Database
+ except ImportError:
+ from pysqlite2 import dbapi2 as Database
except ImportError, e:
+ import sys
from django.core.exceptions import ImproperlyConfigured
- raise ImproperlyConfigured, "Error loading pysqlite2 module: %s" % e
+ if sys.version_info < (2, 5, 0):
+ module = 'pysqlite2'
+ else:
+ module = 'sqlite3'
+ raise ImproperlyConfigured, "Error loading %s module: %s" % (module, e)
DatabaseError = Database.DatabaseError

0 comments on commit b4e5a96

Please sign in to comment.